StocksAndFisheriesKB - Task #24609

Support new Record Type 'Traceability Unit’
Feb 16, 2023 12:31 PM - Luca Frosini

Status: New Start date: Oct 27, 2022

Priority: Normal Due date:

Assignee: Aureliano Gentile % Done: 100%

Category: Estimated time: 0.00 hour

Target version: GRSF

Description

Subtasks:

Task # 24036: GRSF Publisher - Support of new type of records Rejected
Task # 24610: Provide a JSON example for Traceability Unit Closed
Feature # 24807: Info on top of the Record for Traceability Unit Closed
Related issues:

Blocked by StocksAndFisheriesKB - Task #24611: Create the new GRSF Publisher ... In Progress  Oct 27, 2022

History

#1 - Feb 16, 2023 12:32 PM - Luca Frosini

- Assignee changed from Luca Frosini to Aureliano Gentile

#2 - Feb 16, 2023 12:37 PM - Luca Frosini

GRSF Publisher should be enhanced to support a new type of records. Currently we support the types: stock and fishery.
The new type will be Traceability Unit .

Records of type Traceability Unit, will exist only under GRSF organization, and the fields that should be visible in the catalogue are described in
https://support.d4science.org/projects/stocksandfisherieskb/wiki/GRSF_Model-Traceability Unit

#3 - Apr 26, 2023 10:36 AM - Luca Frosini
- Blocked by Task #24611: Create the new GRSF Publisher service added
